package app

const (
	Success              = "成功" // 200
	Fail                 = "Fail"
	ServerError          = "Server Error" //500
	ClientError          = "Client Error" //400
	DatabaseError        = "Sql Error"
	RequestParamError    = "request parameters error"
	DataBaseError        = "网络异常请稍后重试"
	InputError           = "参数类型错误或必填参数缺失"
	UserIdError          = "用户ID不能为空"
	ShareInfoIdError     = "分享信息ID不能为空"
	TypeError            = "类型不能为空"
	UserShareInfoIdError = "分享人ID不能为空"
	LookTimeError        = "浏览时间不能为空"
	PushRegisterError    = "推送注册失败"
	PushNotifySend       = "推送消息失败"
	MarketingUserAgain   = "该手机号已领取，请在微信小程序中搜索“众信山姆”或扫描下方二维码关注众信山姆小程序查看线路"
	IdentifyingCodeError = "验证码错误"
	OverTime             = "验证码超时"
	MarketingSuccess     = "代金券领取成功，请在微信小程序中搜索“众信山姆”或扫描下方二维码关注众信山姆小程序查看线路。"
	AliPermits1          = "获取短信频繁，请稍后再试。"
	MobileAgain          = "此手机号已报名，不能重复报名"
	IdNumberAgain        = "此身份证号已使用"
	IdentityAgain        = "一个手机号下只能有一个员工状态"
	EmployeeAgain        = "此员工已经登记过，不能重复登记。"
	SignUpAmountError    = "输入单价与数量计算不等于总价"
	PaymentError         = "发起支付失败"
	VisitDateAgain       = "日期选择后不允许修改"
	TicketStockError     = "库存不足"
	VisitDateRefund      = "已选择日期的订单不允许退款"
	RefundAgain          = "已申请退款的客户不能重复申请"
	PayRefundError       = "支付发起退款失败"
	OrderCancelError     = "只有未支付的订单才可以取消"
)

//code 标识
const (
	CodePaymentError = 501 //支付失败

)

//环球体验票预约订单状态
const (
	UbrOrderStatusUnPay       = "1" //未支付
	UbrOrderStatusPay         = "2" //已支付
	UbrOrderStatusOrderCancel = "3" //订单取消
	UbrOrderStatusOrderRefund = "4" //订单退款
)

//环球影城预约客人信息与游玩日期补充状态
const (
	UbrTourVisitStatusUnComplete = "1" //待补充
	UbrTourVisitStatusComplete   = "2" //信息完整
)

//环球影城退款状态
const (
	UbrRefundUnsubscribeApply        = "1" //退订申请
	UbrRefundUnsubscribeExamine      = "2" //退订审核
	UbrRefundUnsubscribeExamineError = "3" //退订审核失败
	UbrRefundUnsubscribeSuccess      = "4" //退订成功
	UbrRefundUnsubscribeError        = "5" //退订失败
	UbrRefunding                     = "6" //退款中
	UbrRefundSuccess                 = "7" //退款完成
	UbrRefundError                   = "8" //退款失败
)
